Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.base
Class JRBaseXyzSeries

    java.lang.Object
      net.sf.jasperreports.charts.base.JRBaseXyzSeries

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRXyzSeries, JRCloneable

Direct Known Subclasses:
  JRDesignXyzSeries

    public class JRBaseXyzSeries

extends java.lang.Object
implements JRXyzSeries, java.io.Serializable

Version:
  $Id: JRBaseXyzSeries.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRHyperlink` | `itemHyperlink`
`protected JRExpression` | `seriesExpression`
`protected JRExpression` | `xValueExpression`
`protected JRExpression` | `yValueExpression`
`protected JRExpression` | `zValueExpression`

Constructor Summary
`JRBaseXyzSeries()`
`JRBaseXyzSeries(JRXyzSeries xyzSeries, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
`JRExpression` | `getSeriesExpression()`
`JRExpression` | `getXValueExpression()`
`JRExpression` | `getYValueExpression()`
`JRExpression` | `getZValueExpression()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### seriesExpression

    protected JRExpression seriesExpression

### xValueExpression

    protected JRExpression xValueExpression

### yValueExpression

    protected JRExpression yValueExpression

### zValueExpression

    protected JRExpression zValueExpression

### itemHyperlink

    protected JRHyperlink itemHyperlink

Constructor Detail

### JRBaseXyzSeries

    public JRBaseXyzSeries()

### JRBaseXyzSeries

    public JRBaseXyzSeries(JRXyzSeries xyzSeries,
                           JRBaseObjectFactory factory)

Method Detail

### getSeriesExpression

    public JRExpression getSeriesExpression()

  Specified by:
    `getSeriesExpression` in interface `JRXyzSeries`

### getXValueExpression

    public JRExpression getXValueExpression()

  Specified by:
    `getXValueExpression` in interface `JRXyzSeries`

### getYValueExpression

    public JRExpression getYValueExpression()

  Specified by:
    `getYValueExpression` in interface `JRXyzSeries`

### getZValueExpression

    public JRExpression getZValueExpression()

  Specified by:
    `getZValueExpression` in interface `JRXyzSeries`

### getItemHyperlink

    public JRHyperlink getItemHyperlink()

  Description copied from interface: `JRXyzSeries`
  Returns the hyperlink specification for chart items.

  The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

  Specified by:
    `getItemHyperlink` in interface `JRXyzSeries`
  Returns:
    hyperlink specification for chart items

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com